List contacts
curl --request GET \
--url https://api.sendkit.dev/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sendkit.dev/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendkit.dev/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "john@example.com",
"first_name": "John",
"last_name": "Doe",
"user_id": "ext_123",
"unsubscribed": false,
"properties": {
"COMPANY": "Acme",
"PLAN": "pro"
},
"lists": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Newsletter",
"created_at": "2026-03-03 10:00:00",
"updated_at": "2026-03-03 10:00:00"
}
],
"created_at": "2026-03-03 10:00:00",
"updated_at": "2026-03-03 10:00:00"
}
],
"links": {
"first": "https://api.sendkit.dev/contacts?page=1",
"last": "https://api.sendkit.dev/contacts?page=3",
"prev": null,
"next": "https://api.sendkit.dev/contacts?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 3,
"per_page": 25,
"to": 25,
"total": 75,
"path": "https://api.sendkit.dev/contacts"
}
}{
"message": "Invalid API key."
}Contacts
List contacts
Retrieve a paginated list of contacts for your team. Results are ordered by creation date, newest first.
GET
/
contacts
List contacts
⌘I

